%define gitdate git20090318

Name:           libvdpau
Version:        0.1
Release:        0.2%{?gitdate}%{?dist}
Summary:        Wrapper library for the Video Decode and Presentation API

Group:          System Environment/Libraries
License:        MIT
URL:            http://freedesktop.org/wiki/Software/VDPAU
Source0:        libvdpau-%{version}%{?gitdate}.tar.bz2
Patch0:         libvdpau-thread_2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?fedora} > 10
ExclusiveArch:  i586 x86_64
%else
ExclusiveArch:  i386 x86_64
%endif
BuildRequires:  libX11-devel


%description
VDPAU is the Video Decode and Presentation API for UNIX. 
It provides an interface to video decode acceleration and presentation
hardware present in modern GPUs.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .t2


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_libdir}/*.so.*
%{_libdir}/libvdpau_trace.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/vdpau/
%{_libdir}/libvdpau.so
%{_libdir}/pkgconfig/vdpau.pc

%changelog
* Fri Mar 22 2009 kwizart < kwizart at gmail.com > - 0.2-0.1git20090318
- Backport fix thread_2

* Fri Mar  6 2009 kwizart < kwizart at gmail.com > - 0.1-0.1git20090318
- Initial spec file

